#include <stdio.h>

#define N 3

extern double npx_on_double(double x);

typedef struct
{
	double x;
	double y;
}

complex;

void npx_on_complex(complex b[])
{
	unsigned int i;

	for (i = 0; i < N; i++)
	{
		b[i].x = npx_on_double(1.1);
		b[i].y = npx_on_double(1.2);

		printf("%.4f %.4f\n", b[i].x, b[i].y);
	}

	printf("\n");
}

int main()
{
	complex b[N + 1];

	unsigned int i;

	for (i = 0; i < N + 1; i++)
	{
		b[i].x = 0; b[i].y = 0;
	}

	npx_on_complex(b);

	for (i = 0; i < N; i++)
	{
		b[i].x = npx_on_double(1.1);
		b[i].y = npx_on_double(1.2);

		printf("%.4f %.4f\n", b[i].x, b[i].y);
	}

	printf("\n");
}
